/*
  ChessPrn program by Ed Maillet
  @(#)movedo.h 1.0 Dated 3/93
  Copyright (C) 1993  Ed Maillet
  Modified and based on Notation 4.7 by Henry Thomas
 */

#ifndef _MOVEDO_HEADERS
#define _MOVEDO_HEADERS


#define setboard(A,I,J,P,C)  { (A)->board[(I)][(J)] = (P) ; \
				 (A)->color[(I)][(J)] = (C); }
#define clsboard(A,I,J)   { (A)->board[(I)][(J)] = VOID ; \
				(A)->color[(I)][(J)] = VOID ;}

#ifdef __STDC__

extern void clear_board(game *g);
extern game *new_board(void);
extern game *copy_board(game *from, game *to);
extern void init_board(game *tgm);
extern depl *new_move(void);
extern void init_move(depl *m);
extern depl *copy_move(depl *from, depl *to);
extern depl *add_trailing_move(depl *mo);
extern depl *add_variation(depl *mo);
extern void free_move_list(depl *d);
extern void do_move(game *g, depl *m);
extern void undo_move(game *g, depl *m);

#else

extern void clear_board(/*game *g*/);
extern game *new_board(/*void*/);
extern game *copy_board(/*game *from, game *to*/);
extern void init_board(/*game *tgm*/);
extern depl *new_move(/*void*/);
extern void init_move(/*depl *m*/);
extern depl *copy_move(/*depl *from, depl *to*/);
extern depl *add_trailing_move(/*depl *mo*/);
extern depl *add_variation(/*depl *mo*/);
extern void free_move_list(/*depl *d*/);
extern void do_move(/*game *g, depl *m*/);
extern void undo_move(/*game *g, depl *m*/);

#endif


#endif
